Subject: Re: linux-next: build warning after merge of the jc_docs tree

From: Randy Dunlap <[email-masked]>
Date: Tue, 19 Dec 2023 15:59:58 -0800

On 12/18/23 06:18, Jonathan Corbet wrote:
> Stephen Rothwell <[email-masked]> writes:
> 
>> Hi all,
>>
>> After merging the jc_docs tree, today's linux-next build (htmldocs)
>> produced this warning:
>>
>> include/crypto/hash.h:248: warning: Excess struct member 'digestsize' description in 'shash_alg'
>>
>> and 636 new similar warnings :-(
>>
>> Exposed by commit
>>
>>   b77fdd6a48e6 ("scripts/kernel-doc: restore warning for Excess struct/union")
>>
>> I am not sure what we should do about this ... last Friday I only
>> got about 18 lines of warnings.
> 
> The warnings were expected, of course.
> 
> The alternatives are to fix the docs or to revert b77fdd6a48e6,
> pretending that all those kerneldoc errors don't actually exist.  The
> fixes should be pretty easy to do (and there's far less of them than it
> seems from the number of warnings).  I can't get there right away but if
> nobody beats me to it I'll try to toss some patches together.

Hi Jon,

Attempt at a little coordination:

It looks like you are working on some net-related patches for this.
I am currently working on fs/ and kernel/ patches.

-- 
#Randy
https://people.kernel.org/tglx/notes-about-netiquette
https://subspace.kernel.org/etiquette.html